#ifndef REASSEMBLY2_H
#define REASSEMBLY2_H

class Reassembly2;
#include <SDL.h>
#include <vector>
#include "Assets.h"
#include "GameObject.h"
#include "InputHandler.h"
#include "BitmapFont.h"

class DarkRP2D {
	private:
	SDL_Window* gWindow;
	Assets *assets;
	GameObject *obj;
	InputHandler *inputHandler;
	BitmapFont *font;

	public:

	DarkRP2D(SDL_Window *gWindow) : gWindow(gWindow) {}
	~DarkRP2D();
	void create ();
	void loop(SDL_Event *event, unsigned int delta);
	void update(SDL_Event *event, unsigned int delta);
	void render(unsigned int delta);
	void resize(int width, int height);

};

#endif
